Package sudoku.solver

# Class HumanSolver

java.lang.Object
sudoku.solver.HumanSolver

All Implemented Interfaces:
  `Solver`

public class HumanSolver extends Object implements Solver

- ## Field Summary

  ### Fields inherited from interface sudoku.solver.Solver

  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HumanSolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `solve(MultiDoku doku, List<SolverStep> steps)`
  Résout le MultiDoku passé en paramètre, avec règles de déduction.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface sudoku.solver.Solver

  `addStep, countSolution, solve`

- ## Constructor Details

  - ### HumanSolver

    public HumanSolver()

- ## Method Details

  - ### solve

    public boolean solve(MultiDoku doku, List<SolverStep> steps)
    Résout le MultiDoku passé en paramètre, avec règles de déduction.
    Specified by:
      `solve` in interface `Solver`
    Parameters:
      `doku` - MultiDoku, MultiDoku à résoudre.
    Returns:
      boolean, valant true si le MultiDoku est résolu, false sinon.